Subject: Re: [RFC PATCH (GIT-GUI)] git-gui: Add more integration options to citool.

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 26 Sep 2008 07:45:36 -0700

Alexander Gavrilov <[email-masked]> wrote:
> On Wednesday 24 September 2008 20:52:01 Shawn O. Pearce wrote:
> > 
> > --8<--
> > git-gui: Hide commit related UI during citool --nocommit
> 
> I believe that the 'Sign Off' button should better be controlled by the nocommitmsg
> option; otherwise this looks good to me. But I'm not the best thinker at the
> moment (had a cold).

Since I've already pushed that patch in both git-gui.git and git.git
how is this as a followup?

--8<--
git-gui: Show/hide "Sign Off" based on nocommitmsg option

If citool --nocommit is invoked we hide the Sign Off features, as
the commit message area is not editable.  But we really want the
selection tied to the message area's editing ability.

Suggested-by: Alexander Gavrilov <[email-masked]>
Signed-off-by: Shawn O. Pearce <[email-masked]>
---
 git-gui.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/git-gui.sh b/git-gui.sh
index 4085e8f..09ce410 100755
--- a/git-gui.sh
+++ b/git-gui.sh
@@ -2413,7 +2413,7 @@ if {[is_enabled multicommit] || [is_enabled singlecommit]} {
 
 	.mbar.commit add separator
 
-	if {![is_enabled nocommit]} {
+	if {![is_enabled nocommitmsg]} {
 		.mbar.commit add command -label [mc "Sign Off"] \
 			-command do_signoff \
 			-accelerator $M1T-S
@@ -2743,7 +2743,7 @@ pack .vpane.lower.commarea.buttons.incall -side top -fill x
 lappend disable_on_lock \
 	{.vpane.lower.commarea.buttons.incall conf -state}
 
-if {![is_enabled nocommit]} {
+if {![is_enabled nocommitmsg]} {
 	button .vpane.lower.commarea.buttons.signoff -text [mc "Sign Off"] \
 		-command do_signoff
 	pack .vpane.lower.commarea.buttons.signoff -side top -fill x
-- 
1.6.0.2.508.g2bf53a

-- 
Shawn.